--- jfreechart.orig/Makefile	Sat Jan 24 08:22:12 2004
+++ jfreechart/Makefile	Sat Jan 24 08:17:40 2004
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	jfreechart
-PORTVERSION=	0.9.13
+PORTVERSION=	0.9.16
 CATEGORIES=	java
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -15,10 +15,25 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A free Java class library for generating charts
 
+BUILD_DEPENDS=	${ANT}:${PORTSDIR}/devel/apache-ant
+
 USE_JAVA=	1.2+
-NO_BUILD=	yes
+
+ANT?=		${LOCALBASE}/bin/ant
+ANT_TARGETS=	compile javadoc
+
+PORTDOCS=	*
+
+do-build:
+	@cd ${WRKSRC}/ant && ${ANT} ${ANT_TARGETS}
 
 do-install:
-	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}-${PORTVERSION}.jar ${JAVAJARDIR}/${PORTNAME}.jar
+	@${ECHO_CMD} -n  ">> Installing .jar file..."
+	@${INSTALL_DATA} ${WRKSRC}/${PORTNAME}-${PORTVERSION}.jar ${JAVAJARDIR}/${PORTNAME}.jar
+	@${ECHO_CMD} " [DONE]"
+	@${ECHO_CMD} -n ">> Installing documentation in ${DOCSDIR}..."
+	@${MKDIR} ${DOCSDIR}
+	@${CP} -r ${WRKSRC}/javadoc/* ${DOCSDIR}
+	@${ECHO_CMD} " [DONE]"
 
 .include <bsd.port.mk>
--- jfreechart.orig/distinfo	Sat Jan 24 08:22:12 2004
+++ jfreechart/distinfo	Tue Jan 13 17:06:48 2004
@@ -1 +1 @@
-MD5 (jfreechart-0.9.13.tar.gz) = 69837930b853e7c623fc72c7c502cc1e
+MD5 (jfreechart-0.9.16.tar.gz) = 8f452cd7b22322e76ae633ba4e67724a
